package bsplines;

/*
Tutorial on LevelSet and BSpline deformable model techniques 
for image segmentation
Copyright (C) Diane Lingrand (Diane.Lingrand@unice.fr)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class BSApplet extends JApplet {

    public void init() {
	System.err.println("init called");
	BSFrame absf = new BSFrame(true); // true because it is an applet
	setContentPane(absf);

    }

    public void start() {
	System.err.println("start called");
    }
    public void stop() {
	System.err.println("stop called");
    }

    public static void main( String [] args) {
	JFrame jf = new JFrame("BSpline and LevelSet methods tutorial");
	JFrame.setDefaultLookAndFeelDecorated(true);
	jf.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	BSFrame bsf;
	if(args.length > 0) 
	    bsf = new BSFrame(false, args[0]); // false because it is not an applet
	else
	    bsf = new BSFrame(false);
	jf.getContentPane().add(bsf);
	jf.pack();
	jf.setVisible(true);
    }

}
